Debian Bug report logs - #637599
jack-audio-connection-kit: Please transition libjack0 for multiarch

version graph

Package: jack-audio-connection-kit; Maintainer for jack-audio-connection-kit is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Steve Langasek <steve.langasek@canonical.com>

Date: Fri, 12 Aug 2011 21:51:01 UTC

Severity: normal

Tags: patch

Found in version 1:0.121.0+svn4469-2

Fixed in version jack-audio-connection-kit/1:0.121.0+svn4538-2

Done: Adrian Knoth <adi@drcomp.erfurt.thur.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>:
Bug#637599; Package jack-audio-connection-kit. (Fri, 12 Aug 2011 21:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <steve.langasek@canonical.com>:
New Bug report received and forwarded. Copy sent to Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>. (Fri, 12 Aug 2011 21:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Steve Langasek <steve.langasek@canonical.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jack-audio-connection-kit: Please transition libjack0 for multiarch
Date: Fri, 12 Aug 2011 14:48:25 -0700
[Message part 1 (text/plain, inline)]
Package: jack-audio-connection-kit
Version: 1:0.121.0+svn4469-2
Severity: normal
Tags: patch
User: ubuntu-devel@lists.ubuntu.com
Usertags: origin-ubuntu oneiric ubuntu-patch

Hi folks,

Please find attached a patch to jack-audio-connection-kit to transition it
to use of the multiarch library paths as described at
<http://wiki.debian.org/Multiarch/Implementation>.  This patch has been
tested and included in Ubuntu Oneiric.  I would encourage you to apply this
patch in Debian as well, since jack-audio-connection-kit is part of the
audio stack included in ia32-libs, which we would like to get rid of for
wheezy.

Note that this patch also drops the build-dependency on dh-buildinfo,
because this tool is not multiarch-safe; it creates a file,
/usr/share/doc/libjack0/buildinfo.gz, which is different for each build. 
Since Ubuntu only allows sourceful uploads, all the build information is
always available from the autobuilder build logs.  In Debian you may prefer
to fix dh-buildinfo to output this information with an
architecture-qualified filename.

Thanks,
--
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[tmpoAlCqR (text/x-diff, attachment)]

Reply sent to Adrian Knoth <adi@drcomp.erfurt.thur.de>:
You have taken responsibility. (Wed, 07 Sep 2011 10:21:55 GMT) Full text and rfc822 format available.

Notification sent to Steve Langasek <steve.langasek@canonical.com>:
Bug acknowledged by developer. (Wed, 07 Sep 2011 10:22:01 GMT) Full text and rfc822 format available.

Message #10 received at 637599-close@bugs.debian.org (full text, mbox):

From: Adrian Knoth <adi@drcomp.erfurt.thur.de>
To: 637599-close@bugs.debian.org
Subject: Bug#637599: fixed in jack-audio-connection-kit 1:0.121.0+svn4538-2
Date: Wed, 07 Sep 2011 10:18:12 +0000
Source: jack-audio-connection-kit
Source-Version: 1:0.121.0+svn4538-2

We believe that the bug you reported is fixed in the latest version of
jack-audio-connection-kit, which is due to be installed in the Debian FTP archive:

jack-audio-connection-kit_0.121.0+svn4538-2.debian.tar.gz
  to main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.121.0+svn4538-2.debian.tar.gz
jack-audio-connection-kit_0.121.0+svn4538-2.dsc
  to main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.121.0+svn4538-2.dsc
jack-audio-connection-kit_0.121.0+svn4538.orig.tar.bz2
  to main/j/jack-audio-connection-kit/jack-audio-connection-kit_0.121.0+svn4538.orig.tar.bz2
jackd1-firewire_0.121.0+svn4538-2_i386.deb
  to main/j/jack-audio-connection-kit/jackd1-firewire_0.121.0+svn4538-2_i386.deb
jackd1_0.121.0+svn4538-2_i386.deb
  to main/j/jack-audio-connection-kit/jackd1_0.121.0+svn4538-2_i386.deb
libjack-dev_0.121.0+svn4538-2_i386.deb
  to main/j/jack-audio-connection-kit/libjack-dev_0.121.0+svn4538-2_i386.deb
libjack0_0.121.0+svn4538-2_i386.deb
  to main/j/jack-audio-connection-kit/libjack0_0.121.0+svn4538-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 637599@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Adrian Knoth <adi@drcomp.erfurt.thur.de> (supplier of updated jack-audio-connection-kit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 07 Sep 2011 10:49:32 +0200
Source: jack-audio-connection-kit
Binary: jackd1 libjack0 jackd1-firewire libjack-dev
Architecture: source i386
Version: 1:0.121.0+svn4538-2
Distribution: unstable
Urgency: low
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Changed-By: Adrian Knoth <adi@drcomp.erfurt.thur.de>
Description: 
 jackd1     - JACK Audio Connection Kit (server and example clients)
 jackd1-firewire - JACK Audio Connection Kit (FFADO backend)
 libjack-dev - JACK Audio Connection Kit (development files)
 libjack0   - JACK Audio Connection Kit (libraries)
Closes: 634361 636231 637599 639159
Changes: 
 jack-audio-connection-kit (1:0.121.0+svn4538-2) unstable; urgency=low
 .
   * Replace hardcoded architecture list by linux-any (Closes: #634361)
   * Add Dutch translation for debconf templates.
   * Add Danish translation for debconf templates.
   * Remove unused type-handling Build-Depends (Closes: #639159)
   * Enable multiarch support (Closes: #637599)
   * New upstream snapshot (Closes: #636231)
   * Drop SH4 patch (integrated upstream)
Checksums-Sha1: 
 e9a4079c2912aeb6524fdf53f8ee7ba9dd78ea44 2600 jack-audio-connection-kit_0.121.0+svn4538-2.dsc
 0aafdbeb150557585c22b53c352eb5aae4d11aa4 379585 jack-audio-connection-kit_0.121.0+svn4538.orig.tar.bz2
 46b49362e9144cd4261b300dda5e43e44cae1db2 31243 jack-audio-connection-kit_0.121.0+svn4538-2.debian.tar.gz
 a505dc292302515a2fbf648e3b4e9cc3391063ea 311324 jackd1_0.121.0+svn4538-2_i386.deb
 254b4090a3c8cdc218261ccc17246003077136c5 56538 libjack0_0.121.0+svn4538-2_i386.deb
 7bd957f457cbc9f1311ba3f26b96b1109f1c8090 28648 jackd1-firewire_0.121.0+svn4538-2_i386.deb
 09e0fb9ab02e3418e6f5bdb6a5ad73afb9762848 346024 libjack-dev_0.121.0+svn4538-2_i386.deb
Checksums-Sha256: 
 51955a1711f6299ddb98670ccb0350f4e045dc431fc21f906b9dd2077a801702 2600 jack-audio-connection-kit_0.121.0+svn4538-2.dsc
 761e947aadac0f0bf4f07457cdff7e87cedbe88eff3ca64badf25cf657988f27 379585 jack-audio-connection-kit_0.121.0+svn4538.orig.tar.bz2
 3f32d7d75b0340b3edeb9fc894d4ee7da3c3feb31285432799898d11e7f65a30 31243 jack-audio-connection-kit_0.121.0+svn4538-2.debian.tar.gz
 02f7be161ba32ed02d0c272b729ff810f9bfe553349f0fd824674a7b56c759bb 311324 jackd1_0.121.0+svn4538-2_i386.deb
 b00a804fb940a0ba4bb4d185a5b2c4af9ed6e4fa0d3419fe9b6af40d5a7f1c61 56538 libjack0_0.121.0+svn4538-2_i386.deb
 0a29e96324662363d49b2a69bd67ed4eb70587da8dc9fc9ed3edca907277ab77 28648 jackd1-firewire_0.121.0+svn4538-2_i386.deb
 7f5e73530ebe52cb31aa20559b779d5ea9b0c56c5d9191d25035ca5cc45dcdd2 346024 libjack-dev_0.121.0+svn4538-2_i386.deb
Files: 
 18b8748a93f81e995b38d354dba66df3 2600 sound optional jack-audio-connection-kit_0.121.0+svn4538-2.dsc
 9faa97de09eabca4b955568fb89a6384 379585 sound optional jack-audio-connection-kit_0.121.0+svn4538.orig.tar.bz2
 2b219a1550b5848164441a5ccfcab730 31243 sound optional jack-audio-connection-kit_0.121.0+svn4538-2.debian.tar.gz
 1b225251fa029827ce022de5fb4f4487 311324 sound optional jackd1_0.121.0+svn4538-2_i386.deb
 15f7ddee321d35badeb420985d7ceaf2 56538 libs optional libjack0_0.121.0+svn4538-2_i386.deb
 ec4c019e384fccdd4205a010950cb0c7 28648 sound optional jackd1-firewire_0.121.0+svn4538-2_i386.deb
 8f3a17e604e85f18866e36b2ca93f2a4 346024 libdevel optional libjack-dev_0.121.0+svn4538-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJOZzdxAAoJEI8ytEIvUhB/U+gQAIDFSWg/tMyPNgCrLjx+p0K+
gKrAtbxyPNuAdQ6gE/lS+ft8FXbYwDf5PSGnk3jOVrgmrD87Jrr456KwRR3aglpi
y4GM9+rf6eb0Uq5pPe384ExGp44msKuInwJo1aWXNoc4c+Ji7gq4qkph4K8HochZ
Bm91Abv0dcC3lLK3o27cMHtY0q7t6uAzyX823x2GNfXn+KdCEYnkKl64xjRevQXU
nhzVZntHnJG39JNqWdleHIG39HAgvVGYniOtmVbvVD5WHL2oEymCsznpscEHubg2
CH4jtzi47iqp00e+OJX06yB3VoAx+1+V/PXThiT1WJ75JirYsX5CK98vfmIOQG/D
R/04IigsydEAbkKds0j+TtMd+7TtfmCzvXCRA/Zq3A+o3MaNCXIEveATUaJIpnHk
bhO5HVYV/qnNE6OoVNzivvkZDdeHdivAJF+7EvNxWdPoDhZDTAT2dsnqL0qisfHf
b1Xv+R5FLHO09tJ1UdwhVF2g907HOe42geJy5diu+4ATHqkVaxTCW/Ijcj9vgWqC
KFjyTaxTShWT6UDgfZS3Z6ViyfFTdCjOSn9u3E+sTCHh3UQTBCoy1Fuse4pkAzBx
7pt+1s5ZZnu6aPOn5oykiASYhqSpMa1Ej5MgSrEw52KwL0lYxoDXpH0NbCwF5ma2
8mBvnDZs4p+iSdAIM/Rd
=HD2F
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 02 Nov 2011 07:40:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 10:50:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.